## control-plugin-example 0.0.4

=== Makefile ===
NAME = src/control-plugin-example
SRCS = src/example-plugin.c

# let caller override optimization setting
CFLAGS ?= -O2
CFLAGS += -Wmissing-prototypes -Wstrict-prototypes -Wsign-compare \
	-Wbad-function-cast -Wcast-qual -Wpointer-arith -Wshadow \
	-Wwrite-strings -Wcast-align -Wextra -Wall
CFLAGS += $(shell pkg-config --cflags gtk+-2.0 glib-2.0 gmodule-2.0)
LDFLAGS = $(shell pkg-config --libs gtk+-2.0 glib-2.0 gmodule-2.0)

$(NAME): $(SRCS)
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)

clean:
	$(RM) $(NAME)

install: $(NAME)
	install -d $(DESTDIR)/usr/lib/control-plugin-loader/
	install -m 755 $(NAME) $(DESTDIR)/usr/lib/control-plugin-loader/

=== debian/changelog ===
control-plugin-example (0.0.4) unstable; urgency=low

  * Fixed outdated FSF contact address in licensing information

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 22 Dec 2008 14:36:12 +0200

control-plugin-example (0.0.3) unstable; urgency=low

  * Removed autotools, now using a single makefile

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 8 Sep 2008 11:53:00 +0200

control-plugin-example (0.0.2) unstable; urgency=low

  * New standalone architecture

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 8 Sep 2008 11:53:00 +0200

control-plugin-example (0.0.1) unstable; urgency=low

  * First version

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 8 Sep 2008 11:53:00 +0200

=== debian/control ===
Source: control-plugin-example
Section: user/tools
Priority: optional
Maintainer: Eero Tamminen <Eero.Tamminen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev, libglib2.0-dev
Standards-Version: 3.7.2

Package: control-plugin-example
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, control-plugin-loader
Description: Example plugin for the control-plugin-loader
 A minimal example plugin for the control-plugin-loader.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure:
	./autogen.sh

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --disable-debug
	make clean


build: 
	make

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	$(MAKE) clean

#ifneq "$(wildcard /usr/share/misc/config.sub)" ""
#	cp -f /usr/share/misc/config.sub config.sub
#endif
#ifneq "$(wildcard /usr/share/misc/config.guess)" ""
#	cp -f /usr/share/misc/config.guess config.guess
#endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/control-plugin-loader
	mkdir -p $(CURDIR)/debian/control-plugin-example/usr/lib/control-plugin-loader
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	cp $(CURDIR)/src/control-plugin-example $(CURDIR)/debian/tmp/usr/lib/control-plugin-loader
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install -v --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
